//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Tuning/ParameterTuningStackPresenter.cpp
//! @brief     Implements class ParameterTuningStackPresenter.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#include "GUI/View/Tuning/ParameterTuningStackPresenter.h"

void ParameterTuningStackPresenter::setItem(JobItem* item, QObject* model)
{
    if (!item) {
        hideWidgets();
        return;
    }

    ParameterTuningWidget* widget = itemWidget(item);

    if (!widget) {
        widget = new ParameterTuningWidget;
        m_stackedWidget->addWidget(widget);
        m_itemToWidget[item] = widget;
    }

    m_stackedWidget->setCurrentWidget(widget);
    if (widget->isHidden())
        widget->show();

    widget->setModel(model);
    widget->setJobItem(item);
}

ParameterTuningWidget* ParameterTuningStackPresenter::itemWidget(JobItem* /*item*/)
{
    if (!m_itemToWidget.empty())
        return m_itemToWidget.first();
    return nullptr;
}
